commit:     c905dae24d3f2fdd01f38cf3998275601f2ce77f
Author:     Karel Kočí <cynerd <AT> email <DOT> cz>
AuthorDate: Tue Dec  4 21:37:24 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec  9 08:44:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c905dae2

dev-python/icalendar: update to version 4.0.3

Bug: https://bugs.gentoo.org/672530
Signed-off-by: Karel Kočí <cynerd <AT> email.cz>
Closes: https://github.com/gentoo/gentoo/pull/10572
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/icalendar/Manifest               |  1 +
 dev-python/icalendar/icalendar-4.0.3.ebuild | 46 +++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/icalendar/Manifest b/dev-python/icalendar/Manifest
index 96cd6fff36c..d0a2eb37787 100644
--- a/dev-python/icalendar/Manifest
+++ b/dev-python/icalendar/Manifest
@@ -1,2 +1,3 @@
 DIST icalendar-3.11.7.tar.gz 78330 BLAKE2B 
e6186f58903d835ac3357db959b6fef79aba34bb9b692128b6209b9c8139f7ed2eda81fd5cc54b6f3186d055e611f1489fcb61b1a10f914ee4c79ba8b31bf67a
 SHA512 
445dc7b9c8c7ee2ad3345c5a4e4bca92633cdabae95f3cab63dacf549d48b7578242566d236cac8d5a9df4158387cadc0f09327e1b3e5038d223687365bec884
 DIST icalendar-3.9.2.tar.gz 66283 BLAKE2B 
487a8fdf04f028de30003762860640b8983df026aa7a5ba0efe3a57ddd09c51bb406a5e58792203d3a0ee3d44186b0b6dcaa7194fefcfed85c3ab714129f6b4d
 SHA512 
da50bba72f7a114263672ebd45cfcca5f7c2eca48538901f595b26ef18bb21a6290da4392c62cc27d1202083fcab7f5bfe6c9a463df38087de0ef764999f7eb1
+DIST icalendar-4.0.3.tar.gz 77899 BLAKE2B 
d4043914b85359a8309dd7c8acce55ec5921508319342f2ffb2e16017aa5aa164ef7fdd44aee7820a971516a3e157b5c8ee86732e669c8eac4b5c4bc1767e334
 SHA512 
2f0ac5a7f36c7d37047ba20bec3f2ca7df51a9e3ec3f29751c71cdd264c01f7e0abd6efc298dac5a7c87911cb4916e56bf77716d6ca05a2d090e26486e6a56be

diff --git a/dev-python/icalendar/icalendar-4.0.3.ebuild 
b/dev-python/icalendar/icalendar-4.0.3.ebuild
new file mode 100644
index 00000000000..4c60e2e5c4f
--- /dev/null
+++ b/dev-python/icalendar/icalendar-4.0.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Package used for parsing and generating iCalendar files (RFC 
2445)"
+HOMEPAGE="https://github.com/collective/icalendar";
+SRC_URI="mirror://pypi/i/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="doc test"
+DOCS=( "README.rst" )
+
+RDEPEND="
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DEPEND="
+       ${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # reset conf.py to not read version from an installed instance
+       sed -e "s:pkg_resources.get_distribution('icalendar').version:'${PV}':" 
\
+               -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               emake -C docs html
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       pytest -vv src/icalendar || die "test failed under ${EPYTHON}"
+}

Reply via email to